package com.gihon.common.entity;

import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 系统公司
 * @author baihe
 *
 */
@Data
@TableName("gihon_company")
public class GihonCompany extends BaseEntity{

	@ApiModelProperty(value = "名称")
	private String companyName;
	
	@ApiModelProperty(value = "描述账号")
	private String companyDescription;
	
	@ApiModelProperty(value = "电话")
	private String telephone;
	
	@ApiModelProperty(value = "地址")
	private String address;
	
	@ApiModelProperty(value = "是否启用")
	private Boolean enable;
}
