package com.gihon.sso.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gihon.common.entity.GihonButton;

public interface GihonButtonService extends IService<GihonButton> {

    /**
     * 获取菜单下按钮权限
     */
    public List<GihonButton> getMenuButton(Long menuId);

    /**
     * 获取菜单列表下按钮权限
     */
    public List<GihonButton> getMenuButton(List<Long> menuIdList) ;

    /**
     * 新增按钮权限
     */
    public boolean saveButton(GihonButton button);

    /**
     * 更新按钮权限
     */
    public boolean updateButton(GihonButton button) ;
}
