package com.gihon.sso.service;

import java.util.List;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gihon.common.entity.GihonMenu;

public interface GihonMenuService extends IService<GihonMenu> {

    /**
     * 获取模块下全部菜单
     */
    public List<GihonMenu> getAllMenu(Long moduleId);

    /**
     * 获取模块下子菜单
     */
    public List<GihonMenu> getSubMenu(Long moduleId, Long menuId);

    /**
     * 新增菜单
     */
    public boolean saveMenu(GihonMenu menu);

    /**
     * 编辑菜单
     */
    public boolean updateMenu(GihonMenu menu);
}
