package com.gihon.common.web.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 分页查询VO
 * 
 * @author baihe
 *
 */
@Setter
@Getter
@ApiModel("分页请求")
public class PageReq extends BaseReq {
	
	@ApiModelProperty("当前页号")
	private int pageIndex;
	
	@ApiModelProperty("每页大小")
	private int pageSize;
}
