package com.gihon.demo.common.controller;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gihon.common.web.response.Response;
import com.gihon.sso.entity.vo.LoginUser;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;

@Api(value ="人员模块" ,tags = "人员模块")
@Slf4j
@RestController
@RequestMapping("user")
public class UserController {

	@ApiOperation("USER:用户列表")
	@PostMapping()
	public Response<Void> login(@RequestBody LoginUser loginUser) {
		log.debug("SSO登录开始:{}", loginUser.getUserAccount());
		return Response.ok();
	}
}
